Package org.apache.sling.api.resource.runtime.dto

# Class RuntimeDTO

java.lang.Object
org.apache.sling.api.resource.runtime.dto.RuntimeDTO

public class RuntimeDTO extends Object
Represents the resource resolver runtime

Since:
  1.0.0 (Sling API Bundle 2.11.0)

## Field Summary

Fields
Modifier and Type
Field
Description
`ResourceProviderFailureDTO[]`
`failedProviders`
DTOs for all inactive/failed providers.
`ResourceProviderDTO[]`
`providers`
DTOs for all active providers.

## Constructor Summary

Constructors
Constructor
Description
`RuntimeDTO()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### providers

public ResourceProviderDTO[] providers
DTOs for all active providers. If there is none, the array is empty.

### failedProviders

public ResourceProviderFailureDTO[] failedProviders
DTOs for all inactive/failed providers. If there is none, the array is empty.

## Constructor Details

### RuntimeDTO

public RuntimeDTO()